#!/bin/sh

modprobe rd rd_size=16384
modprobe minix

dev="/dev/ram0"

umount /mnt
mkfs.minix -v /dev/ram0
mount /dev/ram0 /mnt
while : ; do
	cd /mnt
	rm *
	for i in `seq 1 100`; do
		dd if=/dev/urandom bs=$RANDOM count=1 >$i 2>/dev/null
	done
	md5sum * > /tmp/md5sums
	cd /
	mount -o remount /mnt
	dd if=$dev > /tmp/dev
	umount /mnt
	cat /tmp/dev > $dev
	mount $dev /mnt
	cd /mnt
	md5sum -c /tmp/md5sums || break
done
cd /
umount /mnt
